Bug 237298 - ALSA - No sound from rear speakers ICE1724 M-AUDIO REVOLUTION 5
ALSA - No sound from rear speakers ICE1724 M-AUDIO REVOLUTION 5
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 13:37 EDT by Gerald Cox
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 07:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2007-04-20 13:37:24 EDT
Description of problem:
I have a M-AUDIO Revolution 5 sound card which has the ICE1724 chipset.
When I open the Gnome Volume applet it correctly identifies the card as 
M Audio Revolution5-1 (Alsa Mixer).  The PCM slider control is for the front
speakers, the PCM Rear slider is for the Rear speakers.  I get no sound from the
Rear speakers.  There is no mechanism within the controls to duplicate front
sound to the rear speakers as is done with other sound cards.  I did some
searching and found:  http://alsa.opensrc.org/Ice1724
which says "With the newest 2.6.9 kernel for the first time even the Center,
LFE, Front and Rear channels work as expected - thanks to the developers ;)"
that doesn't appear to be the case.  I then found this posting:
http://ubuntuforums.org/showpost.php?p=2387139&postcount=25 which explains how
to create a ".asoundrc" file to allow one to get sound from the rear speakers.
Shouldn't this be enabled by default?  Is this a bug or a feature?


Version-Release number of selected component (if applicable):
alsa-lib-1.0.14-0.4.rc3.fc7
alsa-utils-1.0.14-0.4.rc2.fc7
alsa-lib-1.0.14-0.4.rc3.fc7
alsa-tools-1.0.12-4.fc7


How reproducible:
Use GNOME applet to try to get sound from rear speaker.


Steps to Reproduce:
1.  Open GNOME applet to adjust speaker sound.
2.  Try to adjust rear speaker volume.

  
Actual results:
No sound from rear speakers.

Expected results:
Sound from rear speakers.

Additional info:
Comment 1 Martin Stransky 2007-05-09 07:55:49 EDT
Yes, this configuration can be added to /etc/alsa/cards/*.conf. But please
report it to upstream (www.alsa-project.org). They're authors of ALSA (linux
sound system) and this change should be made for all distros. I'm not going to
add it to Fedora only.

Note You need to log in before you can comment on or make changes to this bug.